Subject: bug#66655: 29.1; Clicking buttons sometimes doesn't work

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Oct 2023 16:53:50 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 24 Oct 2023 09:44:20 -0400
> 
> > What will that do if the mouse was moved, then returned to the
> > original position before the button is released?
> 
> In the sample patch I sent it depends if the original mouse/screen position
> still shows the same buffer position.  If it does, then the `up` will
> stay as an `up`, otherwise it will turn into a `drag`.
> [ At least, that's what I think my code does.  ]

OK, but I think the issue with double-click-fuzz still remains to be
solved with this approach.